[MERGED] osmo-ci[master]: osmocom-nightly/latest: check if osc is installed

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Harald Welte gerrit-no-reply at lists.osmocom.org
Thu Dec 7 22:35:34 UTC 2017


Harald Welte has submitted this change and it was merged.

Change subject: osmocom-nightly/latest: check if osc is installed
......................................................................


osmocom-nightly/latest: check if osc is installed

Change-Id: I10ce91eab415c19bb811fbb2fd617d5ce2b58d41
---
M scripts/osmocom-latest-packages.sh
M scripts/osmocom-nightly-packages.sh
2 files changed, 10 insertions(+), 0 deletions(-)

Approvals:
  Harald Welte: Looks good to me, approved; Verified



diff --git a/scripts/osmocom-latest-packages.sh b/scripts/osmocom-latest-packages.sh
index bcc83de..bf20cfe 100755
--- a/scripts/osmocom-latest-packages.sh
+++ b/scripts/osmocom-latest-packages.sh
@@ -11,6 +11,11 @@
 DT=$(date +%Y%m%d)
 TOP=$(pwd)
 
+if ! which osc >/dev/null 2>/dev/null ; then
+  echo "osc binary not found"
+  exit 1
+fi
+
 # start with a checkout of the project
 if [ -d $PROJ ]; then
 	(cd $PROJ && osc up)
diff --git a/scripts/osmocom-nightly-packages.sh b/scripts/osmocom-nightly-packages.sh
index a00cad1..c2b603b 100755
--- a/scripts/osmocom-nightly-packages.sh
+++ b/scripts/osmocom-nightly-packages.sh
@@ -9,6 +9,11 @@
   exit 1
 fi
 
+if ! which osc >/dev/null 2>/dev/null ; then
+  echo "osc binary not found"
+  exit 1
+fi
+
 set -x -e
 
 git clone git://git.osmocom.org/osmo-sip-connector

-- 
To view, visit https://gerrit.osmocom.org/5179
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: merged
Gerrit-Change-Id: I10ce91eab415c19bb811fbb2fd617d5ce2b58d41
Gerrit-PatchSet: 3
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Owner: lynxis lazus <lynxis at fe80.eu>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: lynxis lazus <lynxis at fe80.eu>



More information about the gerrit-log mailing list